---
search:
  tags:
    - Product Bundles
    - POST
seo:
  description: >-
    Creates a new product bundle… Reference for the POST
    /api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/bundles
    endpoint in the Management API.
sidebar:
  label: Create product bundle
  badge: POST
title: Create product bundle
type: openapi-operation
---
Creates a new product bundle within the specified bundle group. The bundle can have relative or fixed discount configurations. Product bundles are treated as individual products across different sales channels.

`POST /api/v1/{team_slug}/{app_slug}/bundle-groups/{bundle_group_id}/bundles`

**Request body** (`application/json`, required)

Product bundle configuration

- `discount_percentage` (integer) — Used if discount\_type is relative. This will apply to all markets it's added to
- `discount_type` (string)
- `discounts` (internal_pkg_webserver_v1.BundleGroupDiscount[])
- `status` (string) — Status of the bundle

Request body example:

```json
{
  "discount_percentage": 0,
  "discount_type": "relative",
  "discounts": [
    {
      "amount_cents": 0,
      "currency_code": "string"
    }
  ],
  "status": "active"
}
```

**Responses**

- `200` — Product bundle created successfully
- `400` — Invalid request (e.g. bad UUID, validation error)
- `401` — Unauthorized access
- `500` — Internal server error

Response example, 200:

```json
{
  "data": {
    "attributes": [
      {
        "created_at": "string",
        "description": "string",
        "filterable": true,
        "id": "string",
        "key": "string",
        "name": "string",
        "template_key": "string",
        "template_name": "string",
        "translatable": true,
        "translations": {
          "description": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ],
          "name": [
            {
              "id": "string",
              "locale": "string",
              "value": "string"
            }
          ]
        },
        "updated_at": "string",
        "values": {
          "property1": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          },
          "property2": {
            "field_id": "string",
            "id": "string",
            "image_id": "string",
            "image_object": {
              "alt": "string",
              "app_id": "string",
              "blurhash": "string",
              "copyright": "string",
              "custom": {
                "property1": "string",
                "property2": "string"
              },
              "folder_id": "string",
              "id": "string",
              "parent_id": "string",
              "public": true,
              "status": "string",
              "title": "string",
              "url": "string"
            },
            "translations": {
              "value": [
                {
                  "id": "string",
                  "locale": "string",
                  "value": "string"
                }
              ]
            },
            "type": "string",
            "value": "string"
          }
        }
      }
    ],
    "compliant": {
      "info": [
        "string"
      ],
      "level": "none"
    },
    "created_at": "string",
    "discount_percentage": 0,
    "discount_type": "string",
    "discounts": {
      "property1": 0,
      "property2": 0
    },
    "id": "string",
    "rules": [
      {
        "bundle_id": "string",
        "discount_percentage": 0,
        "discount_type": "string",
        "discounts": {
          "property1": 0,
          "property2": 0
        },
        "exclude_discounted_price": true,
        "exclude_full_price": true,
        "id": "string",
        "items": [
          {
            "description": "string",
            "id": "string",
            "image_urls": [
              "string"
            ],
            "product_name": "string",
            "product_number": "string",
            "slug": "string"
          }
        ],
        "quantity": 0,
        "tag_conditions": {
          "brands": {
            "mode": "include",
            "values": [
              {
                "id": "string",
                "name": "string"
              }
            ]
          },
          "categories": {
            "mode": "include",
            "values": [
              {
                "id": "string",
                "name": "string"
              }
            ]
          },
          "collections": {
            "mode": "include",
            "values": [
              {
                "id": "string",
                "name": "string"
              }
            ]
          },
          "series": {
            "mode": "include",
            "values": [
              {
                "id": "string",
                "name": "string"
              }
            ]
          },
          "tags": {
            "mode": "include",
            "values": [
              {
                "id": "string",
                "name": "string"
              }
            ]
          }
        }
      }
    ],
    "status": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}
```
